Skip to the page

Remove a custom domain

DELETE/v1/organisations/{id}/environments/{envId}/domains/{did}

Operation domains.remove · since 2026-11-05 · stable

Needs a session withwritescopeAnswers200 OK

Your DNS records are yours to remove.

Path parameters

idstring (uuid)required
The organisation id.
envIdstring (uuid)required
The environment id.
didstringrequired
The domain id.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

DELETE/v1/organisations/{id}/environments/{envId}/domains/{did}
curl -X DELETE "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID/domains/$DOMAIN_ID" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN"
With the rykloud CLI
rykloud domains remove HOSTNAME

Command reference: rykloud domains remove